org.apache.ignite.spi

## Interface IgniteSpiCloseableIterator<T>

All Superinterfaces:
  AutoCloseable, Iterator<T>, Serializable

All Known Subinterfaces:
  GridCloseableIterator<T>

All Known Implementing Classes:
  CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator, GridCloseableIteratorAdapter, GridCloseableIteratorAdapterEx, GridEmptyCloseableIterator, GridSpiCloseableIteratorWrapper

    public interface IgniteSpiCloseableIterator<T>
    extends Iterator<T>, AutoCloseable, Serializable

Closeable iterator.

### Method Summary

Methods
`void` `close()` Closes the iterator and frees all the resources held by the iterator.

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Method Detail

#### close

    void close()
               throws IgniteCheckedException

Closes the iterator and frees all the resources held by the iterator. Iterator can not be used any more after calling this method.

The method is invoked automatically on objects managed by the `try-with-resources` statement.

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IgniteCheckedException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015